Returns a paginated list of viewing sessions (1 row = 1 session, updated via heartbeat) and aggregate metrics for a proposal. Personal data (IP, full geo object) is not exposed.
GET
/
v1
/
proposals
/
{id}
/
views
List proposal views
curl --request GET \
--url https://api.propal.io/v1/proposals/{id}/views \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.propal.io/v1/proposals/{id}/views"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.propal.io/v1/proposals/{id}/views', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"summary": {
"total_views": 123,
"first_viewed_at": "<string>",
"last_viewed_at": "<string>",
"average_scroll_depth": 123,
"total_active_duration_seconds": 123
},
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "<string>",
"ended_at": "<string>",
"duration_seconds": 123,
"scroll_depth": 123,
"was_afk": true,
"country": "<string>",
"created_at": "<string>"
}
],
"pagination": {
"has_more": true,
"next_cursor": "<string>",
"total_count": 123
}
}Authorizations
API key in format: pp_live_xxxxxxxxxxxxxxxxxxxxxxxx
Path Parameters
Proposal UUID
Was this page helpful?
⌘I
List proposal views
